package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWpwzlyqk;
import org.apache.ibatis.annotations.Param;

/**
 * 网评文章录用情况Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcWpwzlyqkMapper 
{
    /**
     * 查询网评文章录用情况
     * 
     * @param id 网评文章录用情况主键
     * @return 网评文章录用情况
     */
    public TcWpwzlyqk selectTcWpwzlyqkById(Long id);

    /**
     * 查询网评文章录用情况列表
     * 
     * @param tcWpwzlyqk 网评文章录用情况
     * @return 网评文章录用情况集合
     */
    public List<TcWpwzlyqk> selectTcWpwzlyqkList(TcWpwzlyqk tcWpwzlyqk);

    /**
     * 新增网评文章录用情况
     * 
     * @param tcWpwzlyqk 网评文章录用情况
     * @return 结果
     */
    public int insertTcWpwzlyqk(TcWpwzlyqk tcWpwzlyqk);

    /**
     * 修改网评文章录用情况
     * 
     * @param tcWpwzlyqk 网评文章录用情况
     * @return 结果
     */
    public int updateTcWpwzlyqk(TcWpwzlyqk tcWpwzlyqk);

    /**
     * 删除网评文章录用情况
     * 
     * @param id 网评文章录用情况主键
     * @return 结果
     */
    public int deleteTcWpwzlyqkById(Long id);

    /**
     * 批量删除网评文章录用情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcWpwzlyqkByIds(Long[] ids);


    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
